# Created by pyp2rpm-1.0.1
%global pypi_name certifi

Name:           python-%{pypi_name}
Version:        2025.1.31
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python package for providing Mozilla's CA Bundle
License:        ISC
URL:            https://pypi.org/project/certifi
Source0:        %{pypi_source}
Patch1:         certifi-2024.12.14-use-system-cert.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

%package -n     python3-%{pypi_name}
Summary:        Python 3 package for providing Mozilla's CA Bundle
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       rootcerts

%description -n python3-%{pypi_name}
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled Root Certificates collection
rm -rf certifi/*.pem

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Tue Feb 25 2025 wally <wally> 2025.1.31-1.mga10
+ Revision: 2152270
- new version 2025.1.31
- rebuild for python3.13

* Mon Dec 16 2024 papoteur <papoteur> 2024.12.14-1.mga10
+ Revision: 2125608
- new version 2024.12.14

* Fri Dec 08 2023 wally <wally> 2023.7.22-2.mga10
+ Revision: 2015817
- rebuild for py3.12

* Sat Sep 09 2023 papoteur <papoteur> 2023.7.22-1.mga10
+ Revision: 1985453
- new 2023.7.22

* Wed Jan 25 2023 wally <wally> 2022.12.7-1.mga9
+ Revision: 1936167
- new version 2022.12.7

* Tue Sep 06 2022 papoteur <papoteur> 2022.6.15-1.mga9
+ Revision: 1884378
- new 2022.6.15

* Wed Mar 23 2022 umeabot <umeabot> 2021.10.8-2.mga9
+ Revision: 1822117
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2021.10.8-1.mga9
+ Revision: 1771951
- new version 2021.10.8
- rebuild for python3.10

* Fri Jul 16 2021 wally <wally> 2021.5.30-1.mga9
+ Revision: 1736231
- new version 2021.5.30
- use system certs (patch from Fedora)

* Sun Mar 21 2021 daviddavid <daviddavid> 2020.12.5-3.mga9
+ Revision: 1706459
- rebuild for python 3.9

* Mon Mar 15 2021 wally <wally> 2020.12.5-2.mga9
+ Revision: 1703321
- rebuild for python 3.8

* Thu Mar 04 2021 guillomovitch <guillomovitch> 2020.12.5-1.mga9
+ Revision: 1698158
- new version 2020.12.5

* Sun Jun 28 2020 guillomovitch <guillomovitch> 2020.6.20-1.mga8
+ Revision: 1600058
- new version 2020.6.20

* Sun Feb 16 2020 umeabot <umeabot> 2019.6.16-2.mga8
+ Revision: 1530861
- Mageia 8 Mass Rebuild

* Thu Sep 05 2019 wally <wally> 2019.6.16-1.mga8
+ Revision: 1437572
- new version 2019.6.16
- drop python2 support
- rebuild for python3.8
- disable doc build for rebuild

* Mon Jan 07 2019 wally <wally> 2018.11.29-3.mga7
+ Revision: 1350895
- rebuild for python3.7

* Mon Jan 07 2019 shlomif <shlomif> 2018.11.29-2.mga7
+ Revision: 1350874
- Rebuild for python3 3.7

* Sun Dec 23 2018 kekepower <kekepower> 2018.11.29-1.mga7
+ Revision: 1344629
- Update to version 2018.11.29

* Thu Sep 20 2018 umeabot <umeabot> 2018.1.18-2.mga7
+ Revision: 1288402
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 2018.1.18-1.mga7
+ Revision: 1210788
- Update to version 2018.1.18

* Sat Jan 06 2018 daviddavid <daviddavid> 2017.11.5-1.mga7
+ Revision: 1190677
- new version: 2017.11.5
- rename python-certifi to python2-certifi

* Sat Aug 05 2017 pterjan <pterjan> 2017.7.27.1-2.mga7
+ Revision: 1135336
- Rebuild for python 3.6

* Mon Jul 31 2017 daviddavid <daviddavid> 2017.7.27.1-1.mga7
+ Revision: 1133210
- new version: 2017.7.27.1

* Thu Dec 17 2015 daviddavid <daviddavid> 2015.11.20.1-1.mga6
+ Revision: 911455
- new version: 2015.11.20.1
- use new python macros
- add doc files

* Wed Oct 07 2015 joequant <joequant> 2015.04.28-3.mga6
+ Revision: 886951
- upgrade to 3.5

* Sun Oct 04 2015 blino <blino> 2015.04.28-2.mga6
+ Revision: 886080
- fix build with latest setuptools by using normalized version

* Mon Jun 29 2015 joequant <joequant> 2015.04.28-1.mga6
+ Revision: 847751
- add setuptools
- upgrade to 2015.04.28

* Wed Oct 15 2014 umeabot <umeabot> 0.0.8-9.mga6
+ Revision: 744342
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.0.8-8.mga5
+ Revision: 728174
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.8-7.mga5
+ Revision: 687922
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.0.8-5.mga4
+ Revision: 543041
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.0.8-4.mga4
+ Revision: 498202
- Rebuild to add different pythonegg provides for python 2 and 3
+ philippem <philippem>
- cleaning

* Sun Jan 13 2013 umeabot <umeabot> 0.0.8-2.mga3
+ Revision: 378537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 ovitters <ovitters> 0.0.8-1.mga3
+ Revision: 278155
- clean spec
- Import from Mandriva


* Wed Apr 25 2012 Lev Givon <lev@mandriva.org> 0.0.8-1
+ Revision: 793430
- imported package python-certifi

